package com.nailart.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nailart.dataobj.TagDO;
import org.springframework.data.relational.core.sql.In;

import java.util.List;

/**
 * @Description 标签信息服务类
 * @Classname TagInfoService
 * @Date 2025/7/14 23:24
 * @Created by 21616
 */
public interface TagInfoService extends IService<TagDO> {
    /**
     * 保存标签信息
     *
     * @param tagDO 标签信息
     * @return 是否成功
     */
    public Integer saveTagInfo(TagDO tagDO);

    /**
     * 根据id查询标签信息
     *
     * @param id 标签id
     * @return 标签信息
     */
    public TagDO getTagInfoById(Long id);

    /**
     * 根据id删除标签信息
     *
     * @param id 标签id
     * @return 是否成功
     */
    public Integer deleteTagInfoById(Long id);

    /**
     * 根据id更新标签信息
     *
     * @param tagDO 标签信息
     * @return 是否成功
     */
    public Integer updateTagInfoById(TagDO tagDO);

    /**
     * 查询所有标签信息
     *
     * @return 标签信息列表
     */
    public List<TagDO> getAllTagInfo();

}
